﻿@{
    ViewBag.Title = "CallOnDoctor";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<script src="~/Content/ThemeMedical/js/jquery-2.2.3.min.js"></script>

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Jinnah Hospital
            <small>Call on Doctor Information</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="/AdminHome/Index"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">

        <div class="box box-info">
            <div class="box-header with-border">
                <i class="fa fa-pagelines"></i>
                <h3 class="box-title">Fill Data carefully</h3>

            </div>
            <form class="form-horizontal">
                <div class="box-body">

                    <!-- select Charges -->
                    <div class="form-group">
                        <label for="InputCharges" class="col-sm-2 control-label">Charges</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputCharges">
                                <option>500</option>
                                <option>1000</option>
                                <option>1500</option>
                                <option>2000</option>
                                <option>2500</option>
                                <option>3000</option>
                                <option>3500</option>
                                <option>4000</option>
                                <option>4500</option>
                                <option>5000</option>
                            </select>
                        </div>
                    </div>

                    <!-- select Doctor No. -->
                    <div class="form-group">
                        <label for="InputDoctorNo" class="col-sm-2 control-label">Doctor No.</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputDoctorNo">
                              
                               
                            </select>
                        </div>
                    </div>

                    <div class="box-footer">
                        <button style="margin-left: 30px" type="button" class="col-sm-1 btn btn-info pull-right" onclick="AddCallOnDocData()">Save</button>

                        <button type="submit" class="col-sm-1 btn btn-default pull-right">Cancel</button>
                    </div>
                </div>

            </form>

        </div>

    </section>
</div>

<script>
    function AddCallOnDocData() {
        debugger;
        var DCharges = $('#InputCharges :selected').val();
        var DoctorNo = $('#InputDoctorNo :Selected').attr('id');

        $.ajax({
            url: '@Url.Action("AddCallOnDoctor", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ DCharges: DCharges, DoctorNo: DoctorNo }),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;

                    swal(data.message, "", "success");
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    }
</script>


<script>
    $(document).ready(function () {
        $.ajax({
            url: '@Url.Action("GetAllDocNameAndId", "AHMS")',
            type: "POST",
            dataType: "json",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var list = data.message;
                    for (i = 0; i < list.length; i++) {
                        $('#InputDoctorNo').append('<option id=' + list[i].docno + ' >' + list[i].docname + '</option>');
                    }

                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
</script>

